#ifndef _BITMAP_H_
#define _BITMAP_H_

typedef struct {
	uint16	bfType;
	uint32	bfSize;
	uint16	bfReserved1;
	uint16	bfReserved2;
	uint32	bfOffBits;
} file_header;

typedef struct {
	uint32 biSize;
	uint32 biWidth;
	uint32 biHeight;
	uint16 biPlanes;
	uint16 biBitCount;
	uint32 biCompression;
	uint32 biSizeImage;
	uint32 biXPelsPerMeter;
	uint32 biYPelsPerMeter;
	uint32 biClrUsed;
	uint32 biClrImportant;
} info_header;

void load_bmp (char * pic_name, uint8 * pic_buffer);
void blit(uint8 *source, uint16 *dest, int source_x, int source_y, int dest_x, int dest_y, int width, int height);

#endif
